Chuyển đến nội dung
Diễn đàn CADViet
DaiBang

In bản vẽ trong AutoCAD

Các bài được khuyến nghị

Cũng có thể do mình chưa trình bày kỹ nên có lẽ các bạn không hiểu. Nghe bác Hoành nói vậy nên em sẽ trình bày lại bài toán của em bị rắc rối mong bác Hoành và các bạn giúp đỡ.

Em có file chứa tên các hộ dân (http://www.mediafire.com/?ytzigitjlzl).

Bây giờ em muốn xuất các hộ dân (text) này qua excel hoặc file text (.txt) để làm báo cáo. Em đã dùng lisp textout.lsp và xt.lsp (http://www.mediafire.com/?donyv22z4imaymn) để xuất qua file excel và file txt. Nhưng kết quả thu được là toàn bị lỗi font chữ (ví dụ: Nguyễn Hải Toàn--->Ng%uye%n H%a%i To%an).

Rất mong nhận được sự giúp đỡ của bác Hoành và các bạn trong diễn đàn. Xin cảm ơn.

Đây là một bài toán hay.

 

Text trong file AutoCAD là text được tạo nên từ các ký tự Ascii có cấu trúc %%xxx. Chính vì vậy hiển thị trong CAD vẫn ngon lành, tuy nhiên nội dung của text là lộn xộn.

 

Đây không phải lỗi của lisp xt.lsp mà là từ cấu trúc của file CAD.

 

bạn dùng lisp fixtext dưới đây để sửa lỗi text trong file ACAD của bạn trước khi sử dụng lisp xuất sang excel:

(defun c:fixtext ()  (setq	ss  (ssget '((0 . "TEXT")))	lst (ss2ent ss)  )  (foreach e lst    (setq tt (entget e)	  tt (subst (cons 1 (thaytext (cdr (assoc 1 tt))))		    (assoc 1 tt)		    tt	     )    )    (entmod tt)  )  (princ))(vl-load-com)(defun thaytext	(str)  (setq i 255)  (while (> i 0)    (setq cf (strcat "%%" (itoa i))	  cr (chr i)    )    (while (vl-string-search cf str)      (setq str (vl-string-subst cr cf str))    )    (setq i (1- i))  )  str)(defun ss2ent (ss / sodt index lstent)  (setq    sodt  (if ss	    (sslength ss)	    0	  )    index 0  )  (repeat sodt    (setq ent	 (ssname ss index)	  index	 (1+ index)	  lstent (cons ent lstent)    )  )  (reverse lstent))
  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi có một bản vẽ muốn in ra, nhưng cứ preview bản vẽ thì lại bị lỗi và thoát ra khỏi AutoCAD. Làm sao để tôi ìn được?

thử cài lại cad xem nào.Hoặc copy sang bản vẽ khác....nếu vẫn ko được cách tốt nhất là ....vẽ lại :lol: :lol:
  • Vote tăng 2
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước đây tôi cũng có lần bị như thế.

Bạn thử như thế này nhé:

- Dùng lệnh Audit để rà soát lỗi của bản vẽ. Nếu có lỗi, lệnh này sẽ sửa.

- Nếu vẫn chưa trị được thì dùng lệnh WBlock để xuất các đối tượng của bản vẽ ra một file mới và thử in trên file mới này.

- Nếu vẫn chưa được thì bạn tạm thời xoá các đối tượng dim và hatch của bản vẽ đi (dùng lệnh filter) rồi thử in. Nếu in được, xem xét các đối tượng dim và hatch này xem cái nào hỏng. Nếu vẫn không được thì pó tay, nên vẽ lại theo phương án của hau03k7.

  • Vote tăng 5

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có một cách, nhưng hơi lòng vòng.

Đầu tiên, bạn mở AutoCAD, tạo một máy in ảo PostScrip Level 1( hoặc 2). Đặt lệnh in, chọn Ploter device là máy in vừa tạo. Đặt đường dẫn tên file EPS kết quả vào một chỗ nào đó. Tiếp đến là khởi động PhotoShop, mở file EPS vừa tạo, rồi save as Pdf.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tui thấy có ông bạn vẽ Quy hoạch, tại vòng tròn sử dụng đất khi in ra thì hatch không che chữ trong vòng tròn. Mặc dù trong bản vẽ thì hatch vẫn liền và phủ kín vòng tròn ký hiệu sử dụng đất. Kiểu này như thể cad có một đối tượng dạng bút phủ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Khách

Mình thấy có người in được bản vẽ ra Pdf, có thể copy vào các máy không cài ACAD rất tiện.

Vào Google đánh dòng tím kiếm "Convert DWG to PDF" ok !

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có thể là họ hatch trước rồi mới viết chữ hoặc layoff text để hatch. làm như vậy cũng đuowcj mà . Tôi chưa thấy trong cad có đối tượng kiểu bút phủ như bạn nói

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có thể là họ hatch trước rồi mới viết chữ hoặc layoff text để hatch. làm như vậy cũng đuowcj mà . Tôi chưa thấy trong cad có đối tượng kiểu bút phủ như bạn nói

Ohh no no ! Cái này la dùng WipeOut Còn một thằn XClip nũa cũng hãy không kém
  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi thấy có một cách này cũng khá hay có thể sử dụng cho trường hợp này.

 

Tại miền cần xóa (có thể là miền đặc hoặc nét) đặt bằng một màu riêng ví dụ là x. Lúc in, đặt màu cho nét x là 255. Trước khi in, dùng lệnh DRAWORDER với tham số F(ront) để đặt các đối tượng có màu x này phủ lên phía trước các đối tượng khác (để che các phần nằm dưới).

 

Lúc in ra, đối tượng có màu x sẽ được in ra với màu trắng (là màu 255) và đè vào các nét phía bên dưới tạo ra hiệu ứng như là đang dùng bút phủ.

 

Có thể những người vẽ quy hoạch mà DaiBang nói đang sử dụng cách này chăng?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có một cách nữa, đó là cài chương trình PDF995 (có thể vào trang www.pdf995.com để download).

Sau khi cài, chương trình PDF995 sẽ tạo ra một máy in PDF ảo. Các bác chỉ việc mở AutoCAD và in ra máy in ảo này là xong.

 

Với PDF995, không những các bác có thể in được CAD mà còn in được cả word, excel,... Có lần, em gặp phải một tình huống là phải chuyển file Word thành file JPG có độ phân giải cao (để làm biển quảng cáo). Em cũng đã dùng PDF kết hợp với PhotoShop và cho kết quả rất tốt.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hoành có thể giải thích rõ hơn một chút được không ?, cụ thể version nào của AutoCAD in được như vậy ?.

 

Với câu hỏi của DaiBang: bạn có thể cho biết bản vẽ QH đó họ sử dụng version nào của AutoCAD để vẽ. Theo tôi nhớ thì R2k6 và R2k7 thì MTEXT có BackGround Mask.

 

Background inserts an opaque background so that objects under the text are masked. <= help của R2k7

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

text trước hatch sau là ra vậy mà. Còn cách jikobo nói cụ thể thế nào?

1. Vẽ Line

2. Vẽ Rectang đè lên line

3. WipeOut/P/Chọn Rectang

Lệnh Wipeout sẽ tạo ra một miền trùng với Rectang để che đường Line

 

Hình 1:

Posted Image

 

Tương tự với XCLIP. Nhưng XCLIP chỉ cho chọn đối tượng bị che phủ là BLOCK.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cách sửa lỗi đơn giản nhất mà cũng hiệu quả cho nhiều trường hợp lỗi giống như bạn Hau03k7 nói . Mở một file cad mới cứng rồi Ctrl+C toàn bộ bản vẽ trong file hỏng rồi Ctrl+V sang file mới . Bạn thử xem sao

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thường thì mọi người cài AutoCAD xong là dùng luôn. Trong khi nếu chịu khó vào support của AutoCAD sẽ thấy có nhiều bản patch sửa lỗi, rồi Service Pack. Hot fix và Service Pack sửa được rất nhiều lỗi của AutoCAD mà các bạn hay bị rồi hỏi mọi người.

 

Trong trường hợp này, nếu cần bản vẽ gấp thì có thể làm theo hướng dẫn ở trên. Còn dư dả thời gian thì gỡ AutoCAD, cài lại, down hotfix + service pack về, cài tiếp.

 

Với kinh nghiệm của tôi, sau khi đã apply các hot fix và service pack. Sử dụng CAD rất ổn định. Rất ít khi có lỗi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1. Vẽ Line

2. Vẽ Rectang đè lên line

3. WipeOut/P/Chọn Rectang

Lệnh Wipeout sẽ tạo ra một miền trùng với Rectang để che đường Line

 

Hình 1:

1.jpg

 

Tương tự với XCLIP. Nhưng XCLIP chỉ cho chọn đối tượng bị che phủ là BLOCK.

 

Tôi có cách này cũng tàm tạm mà tôi hay dùng để vẽ QH:

 

- Vẽ một đa giác khoảng 30-40 cạnh bằng lệnh "pol" như vậy là khi xuất in bản vẽ đa giác đây cũng tương đương với 1 đường tròn

- Dùng lệnh wipeout, chọn options P, với Polyline là đa giác vừa vẽ

Vậy là đã có một wipeout là một đường tròn tương đối

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có một cách, nhưng hơi lòng vòng.

Đầu tiên, bạn mở AutoCAD, tạo một máy in ảo PostScrip Level 1( hoặc 2). Đặt lệnh in, chọn Ploter device là máy in vừa tạo. Đặt đường dẫn tên file EPS kết quả vào một chỗ nào đó. Tiếp đến là khởi động PhotoShop, mở file EPS vừa tạo, rồi save as Pdf.

tại sao bạn làm việc phức tạp thế nhỉ ??? bạn cài máy in ảo Adobe là xuất đc ra đuôi PDF mà...làm như bạn lòng vòng quá

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dạ, iem không dùng CAD2007 nên không có cái máy in ảo nào xuất trực tiếp sang PDF.

Bác biết thì hướng dẫn em với CAD2006 đi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho hỏi : có cách nào để xoay chiều đối tượng in trong khung nhìn paper space của layout mà trong bị ảnh hưởng trong model .

Ví dụ : Có 1 mb hình chữ nhật được vẽ theo chiều đứng , khi qua layout để in thì bảng vẽ khung tên nằm ngang , thì làm sao để xoay đối tượng in theo chiều ngang để cho vừa khổ giấy ( không muốn xoay chiều khung bản vẽ trên layout) mà không ảnh hưởng đến chiều của model . Cám ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bác cho hỏi : có cách nào để xoay chiều đối tượng in trong khung nhìn paper space của layout mà trong bị ảnh hưởng trong model .

Ví dụ : Có 1 mb hình chữ nhật được vẽ theo chiều đứng , khi qua layout để in thì bảng vẽ khung tên nằm ngang , thì làm sao để xoay đối tượng in theo chiều ngang để cho vừa khổ giấy ( không muốn xoay chiều khung bản vẽ trên layout) mà không ảnh hưởng đến chiều của model . Cám ơn

 

Bạn sử dụng lệnh mvsetup/align/rotate view/ click chuột vào vị trí trong viewport / nhập giá trị góc xoay cần thiết vào là ok.

 

chú ý khi sư dụng lệnh mvsetup thì chúng ta click chuột vào cửa sổ viewport cần thiết xoay mà thôi, các cửa sổ khác không cần thiết thì vẫn giữ nguyên.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1. Vẽ Line

2. Vẽ Rectang đè lên line

3. WipeOut/P/Chọn Rectang

Lệnh Wipeout sẽ tạo ra một miền trùng với Rectang để che đường Line

Tương tự với XCLIP. Nhưng XCLIP chỉ cho chọn đối tượng bị che phủ là BLOCK.

 

Minh gặp sự cố nan giải qúa các bác ơi!

Khi sử dụng wipeout để che đi các phần text không cần thiết trong layout không thấy phần text (Wipeout tao trong layout) nhưng khi in thi nó vô tác dụng.

Mong các bác chi giáo nhé, chứ mình xử lý bằng cách lưu ra file mới, trên mỗi file mở ra phần nào cần che đi thì mình lại xóa, phần xóa đi lại in ở file khác. bản vẽ của mình vẽ mặt bằng tổng thể nhưng khi in ra thi mình phải trích ra các bản vẽ nhỏ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Minh gặp sự cố nan giải qúa các bác ơi!

Khi sử dụng wipeout để che đi các phần text không cần thiết trong layout không thấy phần text (Wipeout tao trong layout) nhưng khi in thi nó vô tác dụng.

Mong các bác chi giáo nhé, chứ mình xử lý bằng cách lưu ra file mới, trên mỗi file mở ra phần nào cần che đi thì mình lại xóa, phần xóa đi lại in ở file khác. bản vẽ của mình vẽ mặt bằng tổng thể nhưng khi in ra thi mình phải trích ra các bản vẽ nhỏ.

Bạn dùng wipeout-> đặt vị trí của nó lên trên cùng(Bring to front)(Muốn thế thì dùng lệnh wipeout->frame->on(bật frame lên).rùi order lên trên cùng.Nếu muốn đặt cái j nổi lên trên thì chọn lại và đặt lên trc' wipeout.

Nếu dùng 2007 thì đặt wipeout sang 1 layer khác.Đặt 1 màu riêng biệt và dùng express tool chọn order by color

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Minh gặp sự cố nan giải qúa các bác ơi!

Khi sử dụng wipeout để che đi các phần text không cần thiết trong layout không thấy phần text (Wipeout tao trong layout) nhưng khi in thi nó vô tác dụng.

Mong các bác chi giáo nhé, chứ mình xử lý bằng cách lưu ra file mới, trên mỗi file mở ra phần nào cần che đi thì mình lại xóa, phần xóa đi lại in ở file khác. bản vẽ của mình vẽ mặt bằng tổng thể nhưng khi in ra thi mình phải trích ra các bản vẽ nhỏ.

Thêm nữa là nếu chỉ cần text nổi lên thì dùng lệnh textmask

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×